Bug 1303421 - Wireless Keeps Disconnecting
Wireless Keeps Disconnecting
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
23
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-31 10:59 EST by adalsaady
Modified: 2016-12-20 14:56 EST (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 13:21:02 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
journalctl -u NetworkManager.service (394.25 KB, text/x-vhdl)
2016-01-31 10:59 EST, adalsaady
no flags Details

  None (edit)
Description adalsaady 2016-01-31 10:59:47 EST
Created attachment 1119914 [details]
journalctl -u NetworkManager.service

hello

my wifi always keeps disconnecting after minutes and here is the result(attached) of 

journalctl -u NetworkManager.service
Comment 1 adalsaady 2016-02-03 13:08:30 EST
FYI
I think the problem was in the driver for wifi because after I changed the usb my wifi connection is stable and never disconnecting

before

[adals@Adals ~]$ lsusb
Bus 006 Device 007: ID 0bda:8178 Realtek Semiconductor Corp. RTL8192CU 802.11n WLAN Adapter(i think problem is here)
Bus 006 Device 002: ID 8087:0024 Intel Corp. Integrated Rate Matching Hub
Bus 006 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 004 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
Bus 003 Device 002: ID 0458:003a KYE Systems Corp. (Mouse Systems) NetScroll+ Mini Traveler / Genius NetScroll 120
Bus 003 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 005 Device 002: ID 8087:0024 Intel Corp. Integrated Rate Matching Hub
Bus 005 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 002 Device 002: ID 0480:a006 Toshiba America Inc External Disk 1.5TB
Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub



[adals@Adals ~]$ lsusb
Bus 006 Device 005: ID 0bda:8187 Realtek Semiconductor Corp. RTL8187 Wireless Adapter
Bus 006 Device 002: ID 8087:0024 Intel Corp. Integrated Rate Matching Hub
Bus 006 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 004 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
Bus 003 Device 002: ID 0458:003a KYE Systems Corp. (Mouse Systems) NetScroll+ Mini Traveler / Genius NetScroll 120
Bus 003 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 005 Device 002: ID 8087:0024 Intel Corp. Integrated Rate Matching Hub
Bus 005 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 002 Device 002: ID 0480:a006 Toshiba America Inc External Disk 1.5TB
Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
Bus 001 Device 002: ID 045e:0745 Microsoft Corp. Nano Transceiver v1.0 for Bluetooth
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub



thanks
Comment 2 Johannes Zipperer 2016-02-27 06:58:09 EST
Hello,

I had the same disconnecting issues with a wifi usb stick with your Realtek chip RTL8192cu.
My distro is Fedora 23 Workstation.

For me this workaround worked ;-)

https://github.com/pvaret/rtl8192cu-fixes 

I just followed the instructions. Disabling power management was not necessary.

Because of a bug dkms didn't find the kernel header modules. So I followed the first answer of stackexchange.

http://unix.stackexchange.com/questions/110682/yum-installs-kernel-devel-different-from-my-kernel-version

Greetings from south Germany,

Johannes
Comment 3 Francesco Giudici 2016-10-20 04:39:35 EDT
Johannes, thanks for sharing!
So, this seems clearly a driver issue.
In current fedora I guess the driver has been now updated... I think this could be closed.
Can someone with the realtek dongle please confirm?
In the meanwhile, changing component to "kernel".

Thanks
Francesco
Comment 4 Thomas Hisch 2016-11-03 11:34:10 EDT
This still seems to be an issue in F25 (kernel 4.8.4-301). Francesco, why do you guess that the driver has now been updated?
Comment 5 Fedora End Of Life 2016-11-24 10:19:02 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2016-12-20 13:21:02 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 7 Thomas Hisch 2016-12-20 14:56:19 EST
Since this is still an issue on F25, please update the 'Version' field.

Note You need to log in before you can comment on or make changes to this bug.